#ifndef CONNECTION_H
#define CONNECTION_H

#include <QObject>
#include "clientbase.h"


class Connection : public ClientBase
{
    Q_OBJECT
public:
    explicit Connection(int id, QTcpSocket * socket, QObject *parent = 0);
    int Id() const {return m_id;}

private:
    int m_id;
    
signals:

private slots:

};

#endif // CONNECTION_H
